Skip to content

Instantly share code, notes, and snippets.

Jed Llenado jedlovescpe2

Block or report user

Report or block jedlovescpe2

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
@jedlovescpe2
jedlovescpe2 / git-deployment.md
Created Mar 24, 2019 — forked from noelboss/git-deployment.md
Simple automated GIT Deployment using Hooks
View git-deployment.md

Simple automated GIT Deployment using GIT Hooks

Here are the simple steps needed to create a deployment from your local GIT repository to a server based on this in-depth tutorial.

How it works

You are developing in a working-copy on your local machine, lets say on the master branch. Most of the time, people would push code to a remote server like github.com or gitlab.com and pull or export it to a production server. Or you use a service like deepl.io to act upon a Web-Hook that's triggered that service.

@jedlovescpe2
jedlovescpe2 / gulpfile.js
Created Nov 8, 2018 — forked from leymannx/gulpfile.js
Gulp Sass with autoprefixer and minify.
View gulpfile.js
var gulp = require('gulp'),
sass = require('gulp-sass'),
rename = require('gulp-rename'),
cssmin = require('gulp-cssnano'),
prefix = require('gulp-autoprefixer'),
plumber = require('gulp-plumber'),
notify = require('gulp-notify'),
sassLint = require('gulp-sass-lint'),
sourcemaps = require('gulp-sourcemaps');
// Temporary solution until gulp 4
@jedlovescpe2
jedlovescpe2 / Install Composer using MAMP's PHP.md
Created Nov 12, 2017 — forked from irazasyed/Install Composer using MAMP's PHP.md
Instructions on how to change preinstalled Mac OS X PHP to MAMP's PHP Installation and then install Composer Package Management
View Install Composer using MAMP's PHP.md

Change default Mac OS X PHP to MAMP's PHP Installation and Install Composer Package Management


Instructions to Change PHP Installation


First, Lets find out what version of PHP we're running (To find out if it's the default version).

To do that, Within the terminal, Fire this command:

which php
View gist:262fea39ac09e22d1bfa259e38565372
<?php
/* Taxonomy Breadcrumb */
function be_taxonomy_breadcrumb() {
// Get the current term
$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
// Create a list of all the term's parents
$parent = $term->parent;
while ($parent):
$parents[] = $parent;
@jedlovescpe2
jedlovescpe2 / gulpfile.js
Created Aug 21, 2016 — forked from mattbanks/gulpfile.js
Setup for using gulp in developing and deploying WordPress themes
View gulpfile.js
// Load plugins
var gulp = require('gulp'),
plugins = require('gulp-load-plugins')({ camelize: true }),
lr = require('tiny-lr'),
server = lr();
// Styles
gulp.task('styles', function() {
return gulp.src('assets/styles/source/*.scss')
.pipe(plugins.rubySass({ style: 'expanded', compass: true }))
View sublimeText 3 Packages.md
@jedlovescpe2
jedlovescpe2 / convert sass to scss
Created Aug 10, 2016 — forked from pedrogpimenta/convert sass to scss
Convert SASS to SCSS and delete .sass files (applies to all files in current folder)
View convert sass to scss
sass-convert -R ./ -F sass -T scss && rm *.sass
You can’t perform that action at this time.